aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-03-16 01:53:21 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-03-16 01:53:21 +0000
commitab660fd6d7eab0067a12b1c703af42031532d19f (patch)
treef9782830787086f9e85c19ed30e41096e7979a8a
parenta27b88cee3160f0d0a13f2bfbddef35314e59a8a (diff)
downloadpaludis-ab660fd6d7eab0067a12b1c703af42031532d19f.tar.gz
paludis-ab660fd6d7eab0067a12b1c703af42031532d19f.tar.xz
Change source ordering
-rw-r--r--ebuild/builtin_merge.bash30
-rwxr-xr-xebuild/ebuild.bash7
2 files changed, 19 insertions, 18 deletions
diff --git a/ebuild/builtin_merge.bash b/ebuild/builtin_merge.bash
index e435b71..c4f2f09 100644
--- a/ebuild/builtin_merge.bash
+++ b/ebuild/builtin_merge.bash
@@ -38,20 +38,22 @@ builtin_merge()
env | bzip2 > ${dbdir}/environment.bz2
touch ${dbdir}/CONTENTS || die "pkg db write CONTENTS failed"
- local f ff
- find "${D}/" | \
- while read f ; do
- ff=${f#${D}}
- ff=${ff//+(\/)/\/}
- [[ "${ff}" == "/" ]] && continue
- if [[ -d "${f}" ]] ; then
- echo "dir ${ff}" >> ${dbdir}/CONTENTS
- elif [[ -L "${f}" ]] ; then
- echo "sym ${ff} -> $(readlink ${f} ) $(stat -c '%Y' ${f} )" >> ${dbdir}/CONTENTS
- else
- echo "obj ${ff} $(md5sum ${f} | cut -d ' ' -f1 ) $(stat -c '%Y' ${f} )" >> ${dbdir}/CONTENTS
- fi
- done
+ if [[ -n "${D}" ]] && [[ -d "${D}" ]] ; then
+ local f ff
+ find "${D}/" | \
+ while read f ; do
+ ff=${f#${D}}
+ ff=${ff//+(\/)/\/}
+ [[ "${ff}" == "/" ]] && continue
+ if [[ -d "${f}" ]] ; then
+ echo "dir ${ff}" >> ${dbdir}/CONTENTS
+ elif [[ -L "${f}" ]] ; then
+ echo "sym ${ff} -> $(readlink ${f} ) $(stat -c '%Y' ${f} )" >> ${dbdir}/CONTENTS
+ else
+ echo "obj ${ff} $(md5sum ${f} | cut -d ' ' -f1 ) $(stat -c '%Y' ${f} )" >> ${dbdir}/CONTENTS
+ fi
+ done
+ fi
}
ebuild_f_merge()
diff --git a/ebuild/ebuild.bash b/ebuild/ebuild.bash
index 9854f93..b100ba5 100755
--- a/ebuild/ebuild.bash
+++ b/ebuild/ebuild.bash
@@ -49,10 +49,6 @@ diefunc()
EBUILD_MODULES_DIR=$(readlink -f $(dirname $0 ) )
[[ -d ${EBUILD_MODULES_DIR} ]] || die "${EBUILD_MODULES_DIR} is not a directory"
-source /sbin/functions.sh || die "Couldn't source functions.sh"
-source /etc/make.globals || die "Couldn't source make.globals"
-source /etc/make.conf || die "Couldn't source make.conf"
-
ebuild_source_profile()
{
if [[ -f ${1}/make.defaults ]] ; then
@@ -68,7 +64,10 @@ ebuild_source_profile()
fi
}
+source /sbin/functions.sh || die "Couldn't source functions.sh"
+source /etc/make.globals || die "Couldn't source make.globals"
ebuild_source_profile $(readlink -f /etc/make.profile/ )
+source /etc/make.conf || die "Couldn't source make.conf"
ebuild_load_module()
{